<h1>RTSP Stream Management</h1>
<% if (hasStream) { %>
    <div>
        <video id="streamViewer" controls autoplay></video>
    </div>
    <script src="/hls.js/dist/hls.min.js"></script>
    <script>
        const video = document.getElementById('streamViewer');
        if (Hls.isSupported()) {
            const hls = new Hls();
            hls.loadSource('<%= src %>');
            hls.attachMedia(video);
            hls.startLevel = 3;
        } else if (video.canPlayType('application/vnd.apple.mpegurl')) {
            video.src = '<%= src %>';
        }
    </script>
<% } %>
<a href="/files">Click here to upload new file or get stream link</a>
<script>
    $('li#menuHome').addClass('active');
    $('li#menuHome a').attr('href', '#');

</script>
